/***************************************************************************
 * Oware computer move function module
 *
 *
 *
 ***************************************************************************/ 
#include <stdlib.h>
#include "oware+.h"
#include "oware-ai.h"

extern int start_amount;

/* Return a list of all possible moves on a board for a player. */
PossibleMoves*
getAllPossibleMoves(const Board* board, char player)
{
   int i;
   static PossibleMoves pmoves;
   Board copy;

   pmoves.count = 0;
   for (i = 0; i < 12; i++)
   {
      copy = *board;
      if (move(&copy, player, i) >= 0 )
      { 
         pmoves.moves[pmoves.count++] = i;
      }
   }
   return &pmoves;
}


int grade(const Board* b, int player)
{
   return player? (b->scoreP1 - b->scoreP0)
         :(b->scoreP0 - b->scoreP1);
}
