#ifndef _SDL_DISPLAY_H
#define _SDL_DISPLAY_H
#include <unistd.h>
#include <stdint.h>
#include <stdbool.h>
#include <assert.h>
#include "config.h"
#include "oware+.h"
#if USE_OSX_FRAMEWORKS
#include <SDL/SDL.h>
#include <SDL_image/SDL_image.h>
#include <SDL_ttf/SDL_ttf.h>
#else
#include <SDL.h>
#include <SDL_video.h>
#include <SDL_image.h>
#include <SDL_ttf.h>
#endif


bool sdl_init();

void sdl_display (const Board* board);

int sdl_human_move(const Board* _board, char player, int level);
#endif
